CREATE TABLE ask_services (
    SERVICE_ID                      NUMBER(18, 0) ,
    SERVICE_NAME                    VARCHAR2(4000),
    SERVICE_AM                      VARCHAR2(4000),
    MODULE_SHORT_NAME               VARCHAR2(2000),
    ENT_APP_SHORT_NAME              VARCHAR2(2000),
    APPLICATION_ID                  NUMBER(18, 0) ,
    MODULE_ID                       VARCHAR2(128) ,
    ENTERPRISE_ID                   NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)  ,
    CREATED_BY                      VARCHAR2(256) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    PARAMETERS                      VARCHAR2(4000),
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    FILTER_BY_EXTERNAL_DATA_FLAG    VARCHAR2(4)   ,
    FILTER_BY_EXPIRED_DATA_FLAG     VARCHAR2(4)   ,
    FILTER_BY_LAST_UPD_DATE_FLAG    VARCHAR2(4)   ,
    SERVICE_PROPERTIES              CLOB          ,
    SERVICE_ID                      NUMBER(18, 0) ,
    SERVICE_NAME                    VARCHAR2(4000),
    SERVICE_AM                      VARCHAR2(4000),
    MODULE_SHORT_NAME               VARCHAR2(2000),
    ENT_APP_SHORT_NAME              VARCHAR2(2000),
    APPLICATION_ID                  NUMBER(18, 0) ,
    MODULE_ID                       VARCHAR2(128) ,
    ENTERPRISE_ID                   NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)  ,
    CREATED_BY                      VARCHAR2(256) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    PARAMETERS                      VARCHAR2(4000),
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    FILTER_BY_EXTERNAL_DATA_FLAG    VARCHAR2(4)   ,
    FILTER_BY_EXPIRED_DATA_FLAG     VARCHAR2(4)   ,
    FILTER_BY_LAST_UPD_DATE_FLAG    VARCHAR2(4)   ,
    SERVICE_PROPERTIES              CLOB          
);
